Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector Class Reference

## Public Types

enum | TimeIndexType { kFloorIndex , kCeilIndex , kNearIndex }

## Public Member Functions

| ISampleSelector (index_t iReqIdx)
| ISampleSelector (chrono_t iReqTime, TimeIndexType iReqIdxType=kNearIndex)
index_t | getRequestedIndex () const
chrono_t | getRequestedTime () const
TimeIndexType | getRequestedTimeIndexType () const
index_t | getIndex (const AbcA::TimeSamplingPtr &iTsmp, index_t iNumSamples) const

The documentation for this class was generated from the following files:

- Abc/ISampleSelector.h
- Abc/ISampleSelector.cpp